<header class="topbar" style="z-index: 1 !important;">
    <h3 class="header-title">{{'Request Summary' | translate}}</h3><a class="header-icon" ng-click="goBack()"></a>
</header>

<div class="page" ng-class="{'modal-open':modal.toggle}">
    <div class="mapTracker" id="mapTracker"  ng-class="{'showTrackerMap' : trackerMap.toggleShow}">
        <!--<div class="btn-downHolder">-->
            <!--<button type="button" class="btn-down" ng-click="hideNav() ; trackerMap.toggleShow =! trackerMap.toggleShow"></button>-->
        <!--</div>-->
        <!--<div class="btn-callHolder">-->
            <!--<button type="button" class="btn-call"></button>-->
        <!--</div>-->
    </div>
    <div class="main has-navbar has-topbar" ng-class="{'isTracker': isLiveTracker == true}">
            <div class="main-content">
                <div class="live-tracker paleBlueBg" >
                    <!--<div class="fz14-B cerulean">
                        <span class="fz14-B cerulean">The team is reaching n <strong>26 mins</strong> </span>
                    </div>-->
                    <div class="tracker-btn">
                        <button class="btn btn-service" type="button" ng-click="calcRoute(); hideNav(); trackerMap.toggleShow =! trackerMap.toggleShow">{{ 'Show Live Tracker' | translate }}</button>
                    </div>
                </div>
                <section class="content-section">
                    <h2 class="blue-title"  >{{'Status Tracker' | translate }} </h2>
                    <div class="tracker">
                        <ul class="progressbar">
                            <li class="progress-item" ><!-- ng-if="requestDetails.ServiceENHighlighted == 'Received' || requestDetails.ServiceENHighlighted == 'In Progress' || requestDetails.ServiceENHighlighted == 'Completed'" -->
                                <span class="progress-circle"></span><span class="label">{{'Received' | translate }}</span>
                            </li>
                            <li class="progress-item"
                                ng-class="{'next': requestDetails.ServiceENHighlighted == 'Received' }" > <!-- ng-if="requestDetails.ServiceENHighlighted == 'In Progress' || requestDetails.ServiceENHighlighted == 'Completed'" -->
                                <span class="progress-circle"></span><span class="label">{{'In Progress' | translate }}</span>
                            </li>
                            <li class="progress-item"
                                ng-class="{'next': requestDetails.ServiceENHighlighted != 'Completed'}"> <!-- ng-if="requestDetails.ServiceENHighlighted == 'Completed'" -->
                                <span class="progress-circle"></span><span class="label">{{'Completed' | translate }}</span>
                            </li>
                        </ul>
                        <button class="btn btn-service" ng-click="openModalToRateService()"  ng-if="readyForRating == 'Completed'">{{'Rate our service' | translate}}</button>
                    </div>
                </section>
                <section class="content-section" >
                    <h2 class="blue-title">{{ 'Service Info' | translate }}</h2>
                    <ul class="service-info">
                        <li><strong>{{'Title' | translate}}&nbsp;</strong>{{ (currentLang == 'en' )? trackingDetails.ServiceEN : trackingDetails.ServiceAR}}</li>
                        <li><strong>{{'Ref No' | translate}}:&nbsp;</strong>{{requestDetails.RequestNumber}}</li>
                        <li><strong>{{'Requested on' | translate}}:&nbsp;</strong>{{  trackingDetails.RequestCreatedDate  }} </li>
                        <li><strong>{{'Status' | translate}}:&nbsp;</strong>
                            {{ (currentLang == 'en' )? trackingDetails.RequestStatus :
                            trackingDetails.RequestStatusAR }}&nbsp;
                            <span ng-if="requestDetailsFromWS.Reason && requestDetailsFromWS.RequestStatus != 'Closed' && requestDetailsFromWS.RequestStatus != 'Rejected' && requestDetailsFromWS.RequestStatus != 'Canceled'">({{trackingDetails.Reason}})</span>
                        </li>
                    </ul>
                </section>
                <section class="content-section">
                    <div class="w-100">
                        <img src="assets/img3.0/marker.png" class="insideMarker"><span
                            class="fz18-R circularSTDbook ml-2 windowsBlue align-middle">{{ 'Location' | translate }}</span>
                    </div>
                    <div class="location-wrapper mb-2 mt-4">
                        <div class="location-info pt-2">
                            <h5 class="fz16-B mb-1">{{locationName}}</h5>
                            <address class="fz16-R greyishBrown mb-1">{{formattedAddress}}</address>
                            <div class="makan-number" style="direction: ltr !important;"
                                 ng-if="requestDetailsFromWS.makani"
                                 ng-click="openWebsite()">
                                <div class="label">
                                    <img src="assets/img3.0/makan-label.png" alt="makan">
                                </div>
                                <span class="number">: {{requestDetailsFromWS.makani}}</span>
                            </div>
                        </div>
                        <div class="map location-map">
                            <!--<img src="assets/img3.0/map.png" alt="map">-->
                            <img width="300" ng-src="{{imgSrc}}" alt="map">

                        </div>
                    </div>
                </section>
                <section class="content-section description" ng-class="{'isMore' : more.toggleShow}" ng-if="requestDetails.description_en">
                    <h2 class="blue-title">{{'Description' | translate}}</h2>
                    <p class="description-text">{{(currentLang == 'en') ? requestDetails.description_en : requestDetails.description_ar}}</p>
                    <div class="btn-holder">
                        <button class="btn read-more"
                                ng-click="more.toggleShow =! more.toggleShow"
                                ng-show="!more.toggleShow">{{'Read More' | translate}}</button>
                        <button class="btn read-more"
                                ng-click="more.toggleShow =! more.toggleShow"
                                ng-show="more.toggleShow">{{'Read Less' | translate}}</button>
                    </div>
                </section>
                <section class="content-section"
                         ng-if="(attachments && attachments.length > 0) || (attachmentsAudio && attachmentsAudio.length > 0)">
                    <h2 class="blue-title">{{'Medias' | translate}}</h2>
                    <div id="mediaGallery" class="gallery-wrapper">
                        <div class="gallery-item"
                             ng-repeat="attachment in attachments track by $index"
                             data-src="{{attachment.Url}}">
                            <img class="gallery-img" ng-src="{{attachment.Url}}" alt="{{attachment.Id}}">
                        </div>
                        <div style="display: flex">
                            <div ng-repeat="attachmentAudio in attachmentsAudio track by $index" class="gallery-item">
                                <button style="     background-color: #7FB2E1;
                                                opacity: inherit;
                                                width: 80px;
                                                height: 80px;
                                                max-height: 100px !important;
                                                max-width: 100px !important;
                                                border-radius: 50%;" >
                                    <img id="{{$index}}_play" ng-click="play($index)" src="assets/img3.0/play-button-big.svg"  >
                                    <img id="{{$index}}_stop" ng-click="stop($index)" src="assets/img3.0/stop-button-big.svg"   style="display: none !important;">
                                </button>
                                <audio id="{{$index}}">
                                    <source src="{{attachmentAudio.src}}" type="audio/mp3">
                                </audio>


                            </div>
                        </div>

                    </div>

                </section>

            </div>
        </div>
    
    <script type="text/ng-template" id="rate-dialog">
	    <div>
	        <div style="overflow-y: auto;">
	            <h2 class="lightbox-title">{{ 'Please rate our service' | translate }}</h2>
	            <div class="lightbox-text-box fz14-B">
	                <p>{{ 'Rate service description' | translate }}</p>
	            </div>
                <br>
	            <div class="lightbox-info-box">
	                <dl class="info-list">
	                    <div class="info-list-row">
	                        <dt class="fz14-B">{{ 'Service' | translate }} : </dt>
	                        <dd>{{ (currentLang == 'en' )? requestDetails.ServiceEN : requestDetails.ServiceAR}}</dd>
	                    </div>
	                    <div class="info-list-row">
	                        <dt class="fz14-B">{{ 'Ref No' | translate }} :</dt>
	                        <dd class="text-clr-blue text-weight-medium">{{requestDetails.RequestNumber}}</dd>
	                    </div>
	                </dl>
	            </div>
	            <form class="form" name="myForm" role="form">
	                <div class="star-reting">
	                    <div class="rating-holder">
	                        <input type="radio" value="5" ng-model="rating" name="rating" id="star5">
	                        <label for="star5" title="5 stars"></label>
	                        <input type="radio" value="4" ng-model="rating" name="rating" id="star4">
	                        <label for="star4" title="4 stars"></label>
	                        <input type="radio" value="3" ng-model="rating" name="rating" id="star3">
	                        <label for="star3" title="3 stars"></label>
	                        <input type="radio" value="2" ng-model="rating" name="rating" id="star2" >
	                        <label for="star2" title="2 stars"></label>
	                        <input type="radio" value="1" ng-model="rating" name="rating" id="star1">
	                        <label for="star1" title="1 stars"></label>
	                    </div>
	                </div>

	                <div class="form-group" style="padding: 0px">
	                    <div class="form-group-input">
	                        <textarea id="feedback" placeholder="{{ 'Additional feedback' | translate }}" ng-model="feedback" name="feedback" rows="4" maxlength="500"></textarea>
	                    </div>
	                    <div class="form-group-message">
	                        <p>500</p>
	                    </div>
	                </div>
	                <div class="form-footer">
	                    <a style="min-width: 100px;height: 40px;" class="btn btn-outline-primary" ng-click="cancelRating()" href="#">{{ 'Later' | translate }}</a>
	                    <input style="min-width: 100px;height: 40px;" class="btn btn-primary" type="button" ng-click="rateService(rating, feedback)" value="{{'SUBMIT DETAILS' | translate }}">
	                </div>
	            </form>
	        </div>
	    </div>
	</script>    
    </div>